"use client"
import { LogoutLink, useKindeBrowserClient} from '@kinde-oss/kinde-auth-nextjs'
import React, { useEffect, useState } from 'react'
import { doc, getDoc, getFirestore } from "firebase/firestore";
import { app } from '@/config/FirebaseConfig';
import { useRouter } from 'next/navigation';


const Dashboard = () => {

  const db = getFirestore(app);
  const {user} = useKindeBrowserClient();
  const [loading, setLoading] = useState(true);
  const router = useRouter();

  useEffect(() => {
    user && isBusinessRegistered();
  }, [user])

  const isBusinessRegistered = async () => {
    const docRef = doc(db, "Business", user.email);
    const docSnap = await getDoc(docRef);

    if (docSnap.exists()) {
      console.log("Document data:", docSnap.data());
      setLoading(false);
    } else {
      // docSnap.data() will be undefined in this case
      console.log("No such document!");
      setLoading(false);
      router.replace('/create_business');
    }
  }
  if (loading){
    return <p className='text-green-800 font-semibold justify-center items-center text-center py-10'>Loading...</p>
  }

  return (
    <div>
        This is a dashboard page
        <LogoutLink>
            <button className='px-2 py-1 sm:px-4 sm:py-2 bg-[#101010] text-white rounded-full font-semibold hover:opacity-85 duration-300 text-sm sm:text-md'>Logout</button>
        </LogoutLink>
    </div>
  )
}

export default Dashboard